org.apache.felix.resolver.util

## Class CandidateSelector

- java.lang.Object
- - org.apache.felix.resolver.util.CandidateSelector

Direct Known Subclasses:
  ShadowList

    public class CandidateSelector
    extends Object

### Field Summary

Fields
`protected AtomicBoolean` `isUnmodifiable`
`protected List<org.osgi.resource.Capability>` `unmodifiable`

### Constructor Summary

Constructors
`protected` `CandidateSelector(CandidateSelector candidateSelector)`
`` `CandidateSelector(List<org.osgi.resource.Capability> candidates, AtomicBoolean isUnmodifiable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkModifiable()`
`CandidateSelector` `copy()`
`org.osgi.resource.Capability` `getCurrentCandidate()`
`int` `getRemainingCandidateCount()`
`List<org.osgi.resource.Capability>` `getRemainingCandidates()`
`boolean` `isEmpty()`
`int` `remove(org.osgi.resource.Capability cap)`
`org.osgi.resource.Capability` `removeCurrentCandidate()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### isUnmodifiable

    protected final AtomicBoolean isUnmodifiable

#### unmodifiable

    protected final List<org.osgi.resource.Capability> unmodifiable

### Constructor Detail

#### CandidateSelector

    public CandidateSelector(List<org.osgi.resource.Capability> candidates,
                             AtomicBoolean isUnmodifiable)

#### CandidateSelector

    protected CandidateSelector(CandidateSelector candidateSelector)

### Method Detail

#### copy

    public CandidateSelector copy()

#### getRemainingCandidateCount

    public int getRemainingCandidateCount()

#### getCurrentCandidate

    public org.osgi.resource.Capability getCurrentCandidate()

#### getRemainingCandidates

    public List<org.osgi.resource.Capability> getRemainingCandidates()

#### isEmpty

    public boolean isEmpty()

#### removeCurrentCandidate

    public org.osgi.resource.Capability removeCurrentCandidate()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### remove

    public int remove(org.osgi.resource.Capability cap)

#### checkModifiable

    protected void checkModifiable()